Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network106.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
106.128.0.0
Broadcast address
106.255.255.255
First usable
106.128.0.1
Last usable
106.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 6A800000 · Integer 1786773504 to 1795162111
Reverse DNS zones
128.106.in-addr.arpa
129.106.in-addr.arpa
130.106.in-addr.arpa
131.106.in-addr.arpa
132.106.in-addr.arpa
133.106.in-addr.arpa
134.106.in-addr.arpa
135.106.in-addr.arpa
136.106.in-addr.arpa
137.106.in-addr.arpa
138.106.in-addr.arpa
139.106.in-addr.arpa
140.106.in-addr.arpa
141.106.in-addr.arpa
142.106.in-addr.arpa
143.106.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01101010.10000000.00000000.00000000106.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01101010.10000000.00000000.00000000106.128.0.0
Broadcast01101010.11111111.11111111.11111111106.255.255.255
Split into smaller subnets/20

106.128.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1106.128.0.0/20106.128.0.1 to 106.128.15.254106.128.15.2554,094
2106.128.16.0/20106.128.16.1 to 106.128.31.254106.128.31.2554,094
3106.128.32.0/20106.128.32.1 to 106.128.47.254106.128.47.2554,094
4106.128.48.0/20106.128.48.1 to 106.128.63.254106.128.63.2554,094
5106.128.64.0/20106.128.64.1 to 106.128.79.254106.128.79.2554,094
6106.128.80.0/20106.128.80.1 to 106.128.95.254106.128.95.2554,094
7106.128.96.0/20106.128.96.1 to 106.128.111.254106.128.111.2554,094
8106.128.112.0/20106.128.112.1 to 106.128.127.254106.128.127.2554,094
9106.128.128.0/20106.128.128.1 to 106.128.143.254106.128.143.2554,094
10106.128.144.0/20106.128.144.1 to 106.128.159.254106.128.159.2554,094
11106.128.160.0/20106.128.160.1 to 106.128.175.254106.128.175.2554,094
12106.128.176.0/20106.128.176.1 to 106.128.191.254106.128.191.2554,094
13106.128.192.0/20106.128.192.1 to 106.128.207.254106.128.207.2554,094
14106.128.208.0/20106.128.208.1 to 106.128.223.254106.128.223.2554,094
15106.128.224.0/20106.128.224.1 to 106.128.239.254106.128.239.2554,094
16106.128.240.0/20106.128.240.1 to 106.128.255.254106.128.255.2554,094
17106.129.0.0/20106.129.0.1 to 106.129.15.254106.129.15.2554,094
18106.129.16.0/20106.129.16.1 to 106.129.31.254106.129.31.2554,094
19106.129.32.0/20106.129.32.1 to 106.129.47.254106.129.47.2554,094
20106.129.48.0/20106.129.48.1 to 106.129.63.254106.129.63.2554,094
21106.129.64.0/20106.129.64.1 to 106.129.79.254106.129.79.2554,094
22106.129.80.0/20106.129.80.1 to 106.129.95.254106.129.95.2554,094
23106.129.96.0/20106.129.96.1 to 106.129.111.254106.129.111.2554,094
24106.129.112.0/20106.129.112.1 to 106.129.127.254106.129.127.2554,094
25106.129.128.0/20106.129.128.1 to 106.129.143.254106.129.143.2554,094
26106.129.144.0/20106.129.144.1 to 106.129.159.254106.129.159.2554,094
27106.129.160.0/20106.129.160.1 to 106.129.175.254106.129.175.2554,094
28106.129.176.0/20106.129.176.1 to 106.129.191.254106.129.191.2554,094
29106.129.192.0/20106.129.192.1 to 106.129.207.254106.129.207.2554,094
30106.129.208.0/20106.129.208.1 to 106.129.223.254106.129.223.2554,094
31106.129.224.0/20106.129.224.1 to 106.129.239.254106.129.239.2554,094
32106.129.240.0/20106.129.240.1 to 106.129.255.254106.129.255.2554,094
33106.130.0.0/20106.130.0.1 to 106.130.15.254106.130.15.2554,094
34106.130.16.0/20106.130.16.1 to 106.130.31.254106.130.31.2554,094
35106.130.32.0/20106.130.32.1 to 106.130.47.254106.130.47.2554,094
36106.130.48.0/20106.130.48.1 to 106.130.63.254106.130.63.2554,094
37106.130.64.0/20106.130.64.1 to 106.130.79.254106.130.79.2554,094
38106.130.80.0/20106.130.80.1 to 106.130.95.254106.130.95.2554,094
39106.130.96.0/20106.130.96.1 to 106.130.111.254106.130.111.2554,094
40106.130.112.0/20106.130.112.1 to 106.130.127.254106.130.127.2554,094
41106.130.128.0/20106.130.128.1 to 106.130.143.254106.130.143.2554,094
42106.130.144.0/20106.130.144.1 to 106.130.159.254106.130.159.2554,094
43106.130.160.0/20106.130.160.1 to 106.130.175.254106.130.175.2554,094
44106.130.176.0/20106.130.176.1 to 106.130.191.254106.130.191.2554,094
45106.130.192.0/20106.130.192.1 to 106.130.207.254106.130.207.2554,094
46106.130.208.0/20106.130.208.1 to 106.130.223.254106.130.223.2554,094
47106.130.224.0/20106.130.224.1 to 106.130.239.254106.130.239.2554,094
48106.130.240.0/20106.130.240.1 to 106.130.255.254106.130.255.2554,094
49106.131.0.0/20106.131.0.1 to 106.131.15.254106.131.15.2554,094
50106.131.16.0/20106.131.16.1 to 106.131.31.254106.131.31.2554,094
51106.131.32.0/20106.131.32.1 to 106.131.47.254106.131.47.2554,094
52106.131.48.0/20106.131.48.1 to 106.131.63.254106.131.63.2554,094
53106.131.64.0/20106.131.64.1 to 106.131.79.254106.131.79.2554,094
54106.131.80.0/20106.131.80.1 to 106.131.95.254106.131.95.2554,094
55106.131.96.0/20106.131.96.1 to 106.131.111.254106.131.111.2554,094
56106.131.112.0/20106.131.112.1 to 106.131.127.254106.131.127.2554,094
57106.131.128.0/20106.131.128.1 to 106.131.143.254106.131.143.2554,094
58106.131.144.0/20106.131.144.1 to 106.131.159.254106.131.159.2554,094
59106.131.160.0/20106.131.160.1 to 106.131.175.254106.131.175.2554,094
60106.131.176.0/20106.131.176.1 to 106.131.191.254106.131.191.2554,094
61106.131.192.0/20106.131.192.1 to 106.131.207.254106.131.207.2554,094
62106.131.208.0/20106.131.208.1 to 106.131.223.254106.131.223.2554,094
63106.131.224.0/20106.131.224.1 to 106.131.239.254106.131.239.2554,094
64106.131.240.0/20106.131.240.1 to 106.131.255.254106.131.255.2554,094
65106.132.0.0/20106.132.0.1 to 106.132.15.254106.132.15.2554,094
66106.132.16.0/20106.132.16.1 to 106.132.31.254106.132.31.2554,094
67106.132.32.0/20106.132.32.1 to 106.132.47.254106.132.47.2554,094
68106.132.48.0/20106.132.48.1 to 106.132.63.254106.132.63.2554,094
69106.132.64.0/20106.132.64.1 to 106.132.79.254106.132.79.2554,094
70106.132.80.0/20106.132.80.1 to 106.132.95.254106.132.95.2554,094
71106.132.96.0/20106.132.96.1 to 106.132.111.254106.132.111.2554,094
72106.132.112.0/20106.132.112.1 to 106.132.127.254106.132.127.2554,094
73106.132.128.0/20106.132.128.1 to 106.132.143.254106.132.143.2554,094
74106.132.144.0/20106.132.144.1 to 106.132.159.254106.132.159.2554,094
75106.132.160.0/20106.132.160.1 to 106.132.175.254106.132.175.2554,094
76106.132.176.0/20106.132.176.1 to 106.132.191.254106.132.191.2554,094
77106.132.192.0/20106.132.192.1 to 106.132.207.254106.132.207.2554,094
78106.132.208.0/20106.132.208.1 to 106.132.223.254106.132.223.2554,094
79106.132.224.0/20106.132.224.1 to 106.132.239.254106.132.239.2554,094
80106.132.240.0/20106.132.240.1 to 106.132.255.254106.132.255.2554,094
81106.133.0.0/20106.133.0.1 to 106.133.15.254106.133.15.2554,094
82106.133.16.0/20106.133.16.1 to 106.133.31.254106.133.31.2554,094
83106.133.32.0/20106.133.32.1 to 106.133.47.254106.133.47.2554,094
84106.133.48.0/20106.133.48.1 to 106.133.63.254106.133.63.2554,094
85106.133.64.0/20106.133.64.1 to 106.133.79.254106.133.79.2554,094
86106.133.80.0/20106.133.80.1 to 106.133.95.254106.133.95.2554,094
87106.133.96.0/20106.133.96.1 to 106.133.111.254106.133.111.2554,094
88106.133.112.0/20106.133.112.1 to 106.133.127.254106.133.127.2554,094
89106.133.128.0/20106.133.128.1 to 106.133.143.254106.133.143.2554,094
90106.133.144.0/20106.133.144.1 to 106.133.159.254106.133.159.2554,094
91106.133.160.0/20106.133.160.1 to 106.133.175.254106.133.175.2554,094
92106.133.176.0/20106.133.176.1 to 106.133.191.254106.133.191.2554,094
93106.133.192.0/20106.133.192.1 to 106.133.207.254106.133.207.2554,094
94106.133.208.0/20106.133.208.1 to 106.133.223.254106.133.223.2554,094
95106.133.224.0/20106.133.224.1 to 106.133.239.254106.133.239.2554,094
96106.133.240.0/20106.133.240.1 to 106.133.255.254106.133.255.2554,094
97106.134.0.0/20106.134.0.1 to 106.134.15.254106.134.15.2554,094
98106.134.16.0/20106.134.16.1 to 106.134.31.254106.134.31.2554,094
99106.134.32.0/20106.134.32.1 to 106.134.47.254106.134.47.2554,094
100106.134.48.0/20106.134.48.1 to 106.134.63.254106.134.63.2554,094
101106.134.64.0/20106.134.64.1 to 106.134.79.254106.134.79.2554,094
102106.134.80.0/20106.134.80.1 to 106.134.95.254106.134.95.2554,094
103106.134.96.0/20106.134.96.1 to 106.134.111.254106.134.111.2554,094
104106.134.112.0/20106.134.112.1 to 106.134.127.254106.134.127.2554,094
105106.134.128.0/20106.134.128.1 to 106.134.143.254106.134.143.2554,094
106106.134.144.0/20106.134.144.1 to 106.134.159.254106.134.159.2554,094
107106.134.160.0/20106.134.160.1 to 106.134.175.254106.134.175.2554,094
108106.134.176.0/20106.134.176.1 to 106.134.191.254106.134.191.2554,094
109106.134.192.0/20106.134.192.1 to 106.134.207.254106.134.207.2554,094
110106.134.208.0/20106.134.208.1 to 106.134.223.254106.134.223.2554,094
111106.134.224.0/20106.134.224.1 to 106.134.239.254106.134.239.2554,094
112106.134.240.0/20106.134.240.1 to 106.134.255.254106.134.255.2554,094
113106.135.0.0/20106.135.0.1 to 106.135.15.254106.135.15.2554,094
114106.135.16.0/20106.135.16.1 to 106.135.31.254106.135.31.2554,094
115106.135.32.0/20106.135.32.1 to 106.135.47.254106.135.47.2554,094
116106.135.48.0/20106.135.48.1 to 106.135.63.254106.135.63.2554,094
117106.135.64.0/20106.135.64.1 to 106.135.79.254106.135.79.2554,094
118106.135.80.0/20106.135.80.1 to 106.135.95.254106.135.95.2554,094
119106.135.96.0/20106.135.96.1 to 106.135.111.254106.135.111.2554,094
120106.135.112.0/20106.135.112.1 to 106.135.127.254106.135.127.2554,094
121106.135.128.0/20106.135.128.1 to 106.135.143.254106.135.143.2554,094
122106.135.144.0/20106.135.144.1 to 106.135.159.254106.135.159.2554,094
123106.135.160.0/20106.135.160.1 to 106.135.175.254106.135.175.2554,094
124106.135.176.0/20106.135.176.1 to 106.135.191.254106.135.191.2554,094
125106.135.192.0/20106.135.192.1 to 106.135.207.254106.135.207.2554,094
126106.135.208.0/20106.135.208.1 to 106.135.223.254106.135.223.2554,094
127106.135.224.0/20106.135.224.1 to 106.135.239.254106.135.239.2554,094
128106.135.240.0/20106.135.240.1 to 106.135.255.254106.135.255.2554,094
129106.136.0.0/20106.136.0.1 to 106.136.15.254106.136.15.2554,094
130106.136.16.0/20106.136.16.1 to 106.136.31.254106.136.31.2554,094
131106.136.32.0/20106.136.32.1 to 106.136.47.254106.136.47.2554,094
132106.136.48.0/20106.136.48.1 to 106.136.63.254106.136.63.2554,094
133106.136.64.0/20106.136.64.1 to 106.136.79.254106.136.79.2554,094
134106.136.80.0/20106.136.80.1 to 106.136.95.254106.136.95.2554,094
135106.136.96.0/20106.136.96.1 to 106.136.111.254106.136.111.2554,094
136106.136.112.0/20106.136.112.1 to 106.136.127.254106.136.127.2554,094
137106.136.128.0/20106.136.128.1 to 106.136.143.254106.136.143.2554,094
138106.136.144.0/20106.136.144.1 to 106.136.159.254106.136.159.2554,094
139106.136.160.0/20106.136.160.1 to 106.136.175.254106.136.175.2554,094
140106.136.176.0/20106.136.176.1 to 106.136.191.254106.136.191.2554,094
141106.136.192.0/20106.136.192.1 to 106.136.207.254106.136.207.2554,094
142106.136.208.0/20106.136.208.1 to 106.136.223.254106.136.223.2554,094
143106.136.224.0/20106.136.224.1 to 106.136.239.254106.136.239.2554,094
144106.136.240.0/20106.136.240.1 to 106.136.255.254106.136.255.2554,094
145106.137.0.0/20106.137.0.1 to 106.137.15.254106.137.15.2554,094
146106.137.16.0/20106.137.16.1 to 106.137.31.254106.137.31.2554,094
147106.137.32.0/20106.137.32.1 to 106.137.47.254106.137.47.2554,094
148106.137.48.0/20106.137.48.1 to 106.137.63.254106.137.63.2554,094
149106.137.64.0/20106.137.64.1 to 106.137.79.254106.137.79.2554,094
150106.137.80.0/20106.137.80.1 to 106.137.95.254106.137.95.2554,094
151106.137.96.0/20106.137.96.1 to 106.137.111.254106.137.111.2554,094
152106.137.112.0/20106.137.112.1 to 106.137.127.254106.137.127.2554,094
153106.137.128.0/20106.137.128.1 to 106.137.143.254106.137.143.2554,094
154106.137.144.0/20106.137.144.1 to 106.137.159.254106.137.159.2554,094
155106.137.160.0/20106.137.160.1 to 106.137.175.254106.137.175.2554,094
156106.137.176.0/20106.137.176.1 to 106.137.191.254106.137.191.2554,094
157106.137.192.0/20106.137.192.1 to 106.137.207.254106.137.207.2554,094
158106.137.208.0/20106.137.208.1 to 106.137.223.254106.137.223.2554,094
159106.137.224.0/20106.137.224.1 to 106.137.239.254106.137.239.2554,094
160106.137.240.0/20106.137.240.1 to 106.137.255.254106.137.255.2554,094
161106.138.0.0/20106.138.0.1 to 106.138.15.254106.138.15.2554,094
162106.138.16.0/20106.138.16.1 to 106.138.31.254106.138.31.2554,094
163106.138.32.0/20106.138.32.1 to 106.138.47.254106.138.47.2554,094
164106.138.48.0/20106.138.48.1 to 106.138.63.254106.138.63.2554,094
165106.138.64.0/20106.138.64.1 to 106.138.79.254106.138.79.2554,094
166106.138.80.0/20106.138.80.1 to 106.138.95.254106.138.95.2554,094
167106.138.96.0/20106.138.96.1 to 106.138.111.254106.138.111.2554,094
168106.138.112.0/20106.138.112.1 to 106.138.127.254106.138.127.2554,094
169106.138.128.0/20106.138.128.1 to 106.138.143.254106.138.143.2554,094
170106.138.144.0/20106.138.144.1 to 106.138.159.254106.138.159.2554,094
171106.138.160.0/20106.138.160.1 to 106.138.175.254106.138.175.2554,094
172106.138.176.0/20106.138.176.1 to 106.138.191.254106.138.191.2554,094
173106.138.192.0/20106.138.192.1 to 106.138.207.254106.138.207.2554,094
174106.138.208.0/20106.138.208.1 to 106.138.223.254106.138.223.2554,094
175106.138.224.0/20106.138.224.1 to 106.138.239.254106.138.239.2554,094
176106.138.240.0/20106.138.240.1 to 106.138.255.254106.138.255.2554,094
177106.139.0.0/20106.139.0.1 to 106.139.15.254106.139.15.2554,094
178106.139.16.0/20106.139.16.1 to 106.139.31.254106.139.31.2554,094
179106.139.32.0/20106.139.32.1 to 106.139.47.254106.139.47.2554,094
180106.139.48.0/20106.139.48.1 to 106.139.63.254106.139.63.2554,094
181106.139.64.0/20106.139.64.1 to 106.139.79.254106.139.79.2554,094
182106.139.80.0/20106.139.80.1 to 106.139.95.254106.139.95.2554,094
183106.139.96.0/20106.139.96.1 to 106.139.111.254106.139.111.2554,094
184106.139.112.0/20106.139.112.1 to 106.139.127.254106.139.127.2554,094
185106.139.128.0/20106.139.128.1 to 106.139.143.254106.139.143.2554,094
186106.139.144.0/20106.139.144.1 to 106.139.159.254106.139.159.2554,094
187106.139.160.0/20106.139.160.1 to 106.139.175.254106.139.175.2554,094
188106.139.176.0/20106.139.176.1 to 106.139.191.254106.139.191.2554,094
189106.139.192.0/20106.139.192.1 to 106.139.207.254106.139.207.2554,094
190106.139.208.0/20106.139.208.1 to 106.139.223.254106.139.223.2554,094
191106.139.224.0/20106.139.224.1 to 106.139.239.254106.139.239.2554,094
192106.139.240.0/20106.139.240.1 to 106.139.255.254106.139.255.2554,094
193106.140.0.0/20106.140.0.1 to 106.140.15.254106.140.15.2554,094
194106.140.16.0/20106.140.16.1 to 106.140.31.254106.140.31.2554,094
195106.140.32.0/20106.140.32.1 to 106.140.47.254106.140.47.2554,094
196106.140.48.0/20106.140.48.1 to 106.140.63.254106.140.63.2554,094
197106.140.64.0/20106.140.64.1 to 106.140.79.254106.140.79.2554,094
198106.140.80.0/20106.140.80.1 to 106.140.95.254106.140.95.2554,094
199106.140.96.0/20106.140.96.1 to 106.140.111.254106.140.111.2554,094
200106.140.112.0/20106.140.112.1 to 106.140.127.254106.140.127.2554,094
201106.140.128.0/20106.140.128.1 to 106.140.143.254106.140.143.2554,094
202106.140.144.0/20106.140.144.1 to 106.140.159.254106.140.159.2554,094
203106.140.160.0/20106.140.160.1 to 106.140.175.254106.140.175.2554,094
204106.140.176.0/20106.140.176.1 to 106.140.191.254106.140.191.2554,094
205106.140.192.0/20106.140.192.1 to 106.140.207.254106.140.207.2554,094
206106.140.208.0/20106.140.208.1 to 106.140.223.254106.140.223.2554,094
207106.140.224.0/20106.140.224.1 to 106.140.239.254106.140.239.2554,094
208106.140.240.0/20106.140.240.1 to 106.140.255.254106.140.255.2554,094
209106.141.0.0/20106.141.0.1 to 106.141.15.254106.141.15.2554,094
210106.141.16.0/20106.141.16.1 to 106.141.31.254106.141.31.2554,094
211106.141.32.0/20106.141.32.1 to 106.141.47.254106.141.47.2554,094
212106.141.48.0/20106.141.48.1 to 106.141.63.254106.141.63.2554,094
213106.141.64.0/20106.141.64.1 to 106.141.79.254106.141.79.2554,094
214106.141.80.0/20106.141.80.1 to 106.141.95.254106.141.95.2554,094
215106.141.96.0/20106.141.96.1 to 106.141.111.254106.141.111.2554,094
216106.141.112.0/20106.141.112.1 to 106.141.127.254106.141.127.2554,094
217106.141.128.0/20106.141.128.1 to 106.141.143.254106.141.143.2554,094
218106.141.144.0/20106.141.144.1 to 106.141.159.254106.141.159.2554,094
219106.141.160.0/20106.141.160.1 to 106.141.175.254106.141.175.2554,094
220106.141.176.0/20106.141.176.1 to 106.141.191.254106.141.191.2554,094
221106.141.192.0/20106.141.192.1 to 106.141.207.254106.141.207.2554,094
222106.141.208.0/20106.141.208.1 to 106.141.223.254106.141.223.2554,094
223106.141.224.0/20106.141.224.1 to 106.141.239.254106.141.239.2554,094
224106.141.240.0/20106.141.240.1 to 106.141.255.254106.141.255.2554,094
225106.142.0.0/20106.142.0.1 to 106.142.15.254106.142.15.2554,094
226106.142.16.0/20106.142.16.1 to 106.142.31.254106.142.31.2554,094
227106.142.32.0/20106.142.32.1 to 106.142.47.254106.142.47.2554,094
228106.142.48.0/20106.142.48.1 to 106.142.63.254106.142.63.2554,094
229106.142.64.0/20106.142.64.1 to 106.142.79.254106.142.79.2554,094
230106.142.80.0/20106.142.80.1 to 106.142.95.254106.142.95.2554,094
231106.142.96.0/20106.142.96.1 to 106.142.111.254106.142.111.2554,094
232106.142.112.0/20106.142.112.1 to 106.142.127.254106.142.127.2554,094
233106.142.128.0/20106.142.128.1 to 106.142.143.254106.142.143.2554,094
234106.142.144.0/20106.142.144.1 to 106.142.159.254106.142.159.2554,094
235106.142.160.0/20106.142.160.1 to 106.142.175.254106.142.175.2554,094
236106.142.176.0/20106.142.176.1 to 106.142.191.254106.142.191.2554,094
237106.142.192.0/20106.142.192.1 to 106.142.207.254106.142.207.2554,094
238106.142.208.0/20106.142.208.1 to 106.142.223.254106.142.223.2554,094
239106.142.224.0/20106.142.224.1 to 106.142.239.254106.142.239.2554,094
240106.142.240.0/20106.142.240.1 to 106.142.255.254106.142.255.2554,094
241106.143.0.0/20106.143.0.1 to 106.143.15.254106.143.15.2554,094
242106.143.16.0/20106.143.16.1 to 106.143.31.254106.143.31.2554,094
243106.143.32.0/20106.143.32.1 to 106.143.47.254106.143.47.2554,094
244106.143.48.0/20106.143.48.1 to 106.143.63.254106.143.63.2554,094
245106.143.64.0/20106.143.64.1 to 106.143.79.254106.143.79.2554,094
246106.143.80.0/20106.143.80.1 to 106.143.95.254106.143.95.2554,094
247106.143.96.0/20106.143.96.1 to 106.143.111.254106.143.111.2554,094
248106.143.112.0/20106.143.112.1 to 106.143.127.254106.143.127.2554,094
249106.143.128.0/20106.143.128.1 to 106.143.143.254106.143.143.2554,094
250106.143.144.0/20106.143.144.1 to 106.143.159.254106.143.159.2554,094
251106.143.160.0/20106.143.160.1 to 106.143.175.254106.143.175.2554,094
252106.143.176.0/20106.143.176.1 to 106.143.191.254106.143.191.2554,094
253106.143.192.0/20106.143.192.1 to 106.143.207.254106.143.207.2554,094
254106.143.208.0/20106.143.208.1 to 106.143.223.254106.143.223.2554,094
255106.143.224.0/20106.143.224.1 to 106.143.239.254106.143.239.2554,094
256106.143.240.0/20106.143.240.1 to 106.143.255.254106.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses